OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ImagingCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBImaging :: MonadIO m => m Bool
- gl_ARB_imaging :: Bool
- pattern GL_BLEND_COLOR :: GLenum
- pattern GL_BLEND_EQUATION :: GLenum
- pattern GL_CONSTANT_ALPHA :: GLenum
- pattern GL_CONSTANT_COLOR :: GLenum
- pattern GL_FUNC_ADD :: GLenum
- pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum
- pattern GL_FUNC_SUBTRACT :: GLenum
- pattern GL_MAX :: GLenum
- pattern GL_MIN :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()

# Extension Support

glGetARBImaging :: MonadIO m => m Bool Source #

Is the ARB_imaging extension supported?

gl_ARB_imaging :: Bool Source #

Is the ARB_imaging extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBImaging` in those cases instead.

# Enums

pattern GL_BLEND_COLOR :: GLenum Source #

pattern GL_BLEND_EQUATION :: GLenum Source #

pattern GL_CONSTANT_ALPHA :: GLenum Source #

pattern GL_CONSTANT_COLOR :: GLenum Source #

pattern GL_FUNC_ADD :: GLenum Source #

pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum Source #

pattern GL_FUNC_SUBTRACT :: GLenum Source #

pattern GL_MAX :: GLenum Source #

pattern GL_MIN :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum Source #

# Functions

glBlendColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.